bos_prune(8)

NAME
bos prune - Removes obsolete files from /usr/afs/bin and /usr/afs/logs

SYNOPSIS
bos prune -server <machine name> [-bak] [-old] [-core]
    [-all] [-cell <cell name>] [-noauth] [-localauth]
    [-help]

bos p -s <machine name> [-b] [-o] [-co] [-a]
    [-ce <cell name>] [-n] [-l] [-h]

DESCRIPTION
The bos prune command removes files from the local disk of the server machine named by the -server argument, as specified by one or more of the following flags provided on the command line:

•   The -bak flag removes all files from the /usr/afs/bin directory that have a .BAK extension.

•   The -old flag removes all files from the /usr/afs/bin directory that have a .OLD extension.

•   The -core flag removes all files from the /usr/afs/logs directory that have a core. prefix.

•   The -all flag removes all three types of files at once.

(If none of these flags are included, the command appears to succeed, but removes no files at all.)

To display the timestamp on the current, .BAK, and .OLD versions of one or more files, use the bos getdate command.

OPTIONS

-server <machine name>
    Indicates the server machine from which to remove files. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the bos(8) manpage.

-bak
    Removes all files from the /usr/afs/bin directory that have a .BAK extension. Do not combine this flag and the -all flag.

-old
    Removes all files from the /usr/afs/bin directory that have a .OLD extension. Do not combine this flag and the -all flag.

-core
    Removes all files from the /usr/afs/logs directory that have a core. prefix. Do not combine this flag and the -all flag.

-all
    Combines the effect of the -bak, -old, and -core flags. Do not combine this flag with any of those three.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the bos(8) manpage.

-noauth
    Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the bos(8) manpage.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the bos(8) manpage.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example removes all files from the /usr/afs/bin directory on the machine fs3.abc.com that have a .BAK or .OLD extension.

   % bos prune -server fs3.abc.com -bak -old
The following example removes all files from the /usr/afs/bin directory on the machine db2.abc.com that have a .BAK or .OLD extension, and all files from the /usr/afs/logs directory that have a core. prefix.

   % bos prune -server db2.abc.com -all

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

SEE ALSO
the KeyFile(5) manpage, the UserList(5) manpage, the bos(8) manpage, the bos_getdate(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.